task Freebayes {

    File ref_dir
    File ref_fa_fai
	File fasta

	File Dedup_bam
	File Dedup_bam_index
	String sample
	String FBdocker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e	
		nt=$(nproc)
		/opt/freebayes/scripts/freebayes-parallel <(/opt/freebayes/scripts/fasta_generate_regions.py ${ref_dir}/${ref_fa_fai} 100000) $nt -f ${ref_dir}/${fasta} --genotype-qualities --max-complex-gap 75 ${Dedup_bam} > ${sample}_fb.vcf
	>>>

	runtime {
		docker:FBdocker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File vcf = "${sample}_fb.vcf"
	}
}
